Get Own Virtual Card Sensitive Data

The API will be used to get all the sensitive data of the Virtual Card.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Header Parameters

For Header references Click here

Request Parameters

NameTypeMandatory (M), Optional (O)Description
KitNumberStringMKit number of the card
iPinStringMInstantpay 4 digit security pin

Sample Request

curl --location --request POST 'https://api.instantpay.in/cards/gift/sensitiveDetails' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "kitNumber": "31******20",
    "iPin": "0**6"
}'
POST /cards/gift/sensitiveDetails HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
Content-Type: application/json

{
    "kitNumber": "31******20",
    "iPin": "0**6"
}

Response Parameters

NameTypeDescription
statuscodeStringInstantPay Status Code
actcodeStringAction Code
statusStringStatus message
dataArrayResponse Data (If Present)
timestampStringCurrent time (YYYY-MM-DD HH:II:SS)
ipay_uuidStringRequest Reference Number
orderidStringTransaction Id ( If transaction otherwise it is null )
environmentStringLive/Sandbox

Sample Response

{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Virtual card sensitive details fetched",
    "data": {
        "cardNumber": "81************08",
        "cvv": "***"
    },
    "timestamp": "2022-04-11 16:39:21",
    "ipay_uuid": "h06896097f63-2d84-4f78-9e3d-794c62d59494",
    "orderid": null,
    "environment": "LIVE",
}
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json